> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Tax Documents



## OpenAPI

````yaml api-reference/openapi-account.json GET /account/{id}/tax_document
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Account
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /account/{id}/tax_document:
    get:
      tags:
        - Account Documents
      summary: List of tax documents
      parameters:
        - description: Account ID
          in: path
          name: id
          required: true
          schema:
            description: Account ID
            type: string
        - description: 'Type of statement. One of: `1099`. Filterable.'
          in: query
          name: type
          schema:
            type: string
        - description: Statement year in `YYYY` format. Filterable.
          in: query
          name: year
          schema:
            type: string
        - description: Pagination cursor, value is the object ID.
          in: query
          name: page_cursor
          schema:
            type: string
        - description: >-
            Limits the number of objects in the returned list, value must be a
            number greater than or equal to 1. Defaults to 100.
          in: query
          name: page_size
          schema:
            default: 100
            minimum: 1
            type: integer
        - description: >-
            Lists the objects created on the date provided and onwards. Date
            must be in ISO 8601 format (“YYYY-MM-DD”).
          in: query
          name: from_date
          schema:
            type: string
        - description: >-
            Lists the objects created before the date provided. Date must be in
            ISO 8601 format (“YYYY-MM-DD”).
          in: query
          name: to_date
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              examples: {}
              schema:
                properties:
                  data:
                    items:
                      properties:
                        id:
                          description: Account ID
                          type: string
                        type:
                          description: 'Type of statement. One of: `1099`. Filterable.'
                          type: string
                        year:
                          description: Statement year in `YYYY` format. Filterable.
                          type: string
                      type: object
                    type: array
          description: >-
            A dictionary with a `data` property that contains a list of up to
            `page_size` tax_document elements, starting after the tax_document
            described by `page_cursor`. If no more tax_documents are available,
            the resulting list will be empty.
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````